package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;

public class JavadocComment extends Comment {

	public char[][] lines;
	
	public JavadocComment(String comment){
		String[] linesStr = comment.split(System.getProperty("line.separator")); // NON-NLS
		lines = new char[linesStr.length][];
		for(int i=lines.length; --i>=0;){
			lines[i] = linesStr[i].toCharArray();
		}
	}
	
	public JavadocComment(char[][] lines){
		this.lines = lines;	
	}
	
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateJavadocComment(this);
	}

}
