package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;

public class SwitchStatement extends Statement {
	
	public Expression condition;		//never null
	public TypeReference conditionType;	// never null
	public Statement[] statements;		//never null 
	
	
	
	public SwitchStatement( Expression condition, Statement[] statements, TypeReference conditionType){
		this.condition = condition;
		this.statements = statements;
		this.conditionType = conditionType;
	}
	

	@Override
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateSwitchStatement( this);
		
	}

}
