/*
 * Java
 * 
 * Copyright 2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.linker.map.event;

import com.is2t.linker.map.IMapFileInterpretor2;
import com.is2t.tools.graph.IGraph;

public class GraphCreation extends GraphEvent {

	private final String graphName;

	public GraphCreation(IMapFileInterpretor2 source, String graphName, IGraph result) {
		super(source, result);
		this.graphName = graphName;
	}

	public String getGraphName() {
		return graphName;
	}

	public String toString() {
		return super.toString() + " [" + getGraphName() + "]";
	}

}
