/*
 * Java
 *
 * Copyright 2015-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.microui.display;

import java.security.Permission;

import ej.annotation.Nullable;

/**
 * microUI-API
 */
public class DisplayPermission extends Permission {

	private static final long serialVersionUID = 1L;

	/**
	 * microUI-API
	 */
	public DisplayPermission() {
		super(null);
	}

	@Override
	public boolean equals(@Nullable Object obj) {
		return obj == this;
	}

	@Override
	public String getActions() {
		return null;
	}

	@Override
	public int hashCode() {
		return System.identityHashCode(this);
	}

	@Override
	public boolean implies(Permission permission) {
		return equals(permission);
	}

}
