/*
 * C
 *
 * Copyright 2014-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
#ifndef _CPULOAD_CONF
#define _CPULOAD_CONF

// -----------------------------------------------------------------------------
// Macros and Defines
// -----------------------------------------------------------------------------

/*
 * Comment / uncomment it to enable / disable the CPU load measure
 */
#define CPULOAD_ENABLED 1

/*
 * Enable framerate initialization in native code
 * Framerate output will be displayed on uart trace.
 */

#endif

// -----------------------------------------------------------------------------
// EOF
// -----------------------------------------------------------------------------

