/**
 * Java Nov 23, 2009
 *
 * Copyright 2009 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */ 
package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;

public class SynchronizedStatement extends Statement{

	public Expression monitor;
	public Block block;

	public SynchronizedStatement(Expression monitor, Block block){
		this.monitor = monitor;
		this.block = block;
	}
	
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateSynchronizedStatement(this);
	}

}
