package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;

/**
 * Java Statement
 * 		while ( condition) { statement	}
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class WhileStatement extends Statement {
	
	public Expression condition;	// can be null
	public Statement statement;		// can be null
	
	public WhileStatement ( Expression condition, Statement statement) {
		this.condition = condition;
		this.statement = statement;
	}
	
	@Override
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateWhileStatement( this);
		
	}
	
	

}
