/*
 * Java
 *
 * Copyright 2018 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.support.security.securerandom;

import com.is2t.support.security.NativeResource;


public class NativeSecureRandomResource extends NativeResource {

	public NativeSecureRandomResource(NativeSecureRandomSpi ref, int nativeId) {
		super(ref, nativeId);
	}

	@Override
	protected synchronized void closeNativeResource(int nativeId) {
		NativeSecureRandomSpi.nativeClose(nativeId);
	}
}

